%bcond_without bootstrap
%if %{with bootstrap}
%bcond_with tests
%else
%bcond_without tests
%endif

%global py3_shebang_flags %(echo %py3_shebang_flags | sed s/s//)

%global srcname jupyter-console
%global srcname_ jupyter_console

Summary:        Jupyter terminal console
Name:           python-%{srcname}
Version:        6.6.3
Release:        1%{?dist}
License:        BSD-3-Clause
URL:            https://jupyter.org
Source0:        %pypi_source %{srcname_}

BuildRequires:  python3-devel
BuildArch:      noarch

%description
An IPython-like terminal frontend for Jupyter kernels in any language.


%package -n     python3-%{srcname}
Summary:        Jupyter terminal console

BuildRequires:  python3dist(pillow)

%description -n python3-%{srcname}
An IPython-like terminal frontend for Jupyter kernels in any language.

%if %{with doc}
%package -n python-%{srcname}-doc
Summary:        jupyter-console documentation

BuildArch: noarch

BuildRequires:  make
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(sphinxcontrib-github-alt)

%description -n python-%{srcname}-doc
Documentation for jupyter-console
%endif

%prep
%autosetup -n %{srcname_}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%if %{with doc}
%make_build -C docs html PYTHONPATH=$PWD
mv docs/_build/html .
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{srcname_}

%check
%if %{with tests}
%{pytest} -ra
%endif

export PATH=%{buildroot}%{_bindir}:$PATH
export PYTHONPATH=%{buildroot}%{python3_sitelib}
echo 'exit()' | jupyter-console --simple-prompt

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%{_bindir}/%{srcname}

%if %{with doc}
%files -n python-%{srcname}-doc
%license LICENSE
%doc html
%endif

%changelog
* Fri Jun 14 2024 Shuo Wang <abushwang@tencent.com> - 6.6.3-1
- initial build
